# C/C++ File Properties, Paths and Symbols, Symbols

Use the Paths and Symbols properties panel # Symbols tab to modify the list of preprocessor symbols.

Paths and Symbols, Symbols tab
Option | Description
--- | ---
Languages (left pane) | Displays language related to this file.
Symbol / Value | List of symbols related to given language.
Add... | Add new symbol.
Edit... | Modify selected symbol value.
Delete | Remove selected symbol.
Export / Unexport | Toggle selected symbol exported or not.
Show built-in values | Check to display system (built-in) includes.
Import Settings... | Import symbol settings.
Export Settings... | Export symbol settings.

Available for :
  CDT projects, folders and files

- Resource
- C/C++ Build
  - Discovery options
  - Settings
    - Tool chains setting tab
    - Build Steps tab
  - Tool chain editor page
- C/C++ General
  - Paths and Symbols
    - Includes tab
    - Symbols tab
    - Data Hierarchy tab
- Run/Debug Settings page